package bazy.zajecia;

import java.sql.*;

public class OdczytajPostgreSQL1 {
    public static void main(String[] args) {
        // JDBC - Java Database Connectivity
        String url = "jdbc:postgresql://localhost:5432/hr";
        try(Connection c = DriverManager.getConnection(url, "alx", "abc123")) {
            System.out.println("Udało się połączyć: " + c);
// Gdyby zależność była w zakresie compile, a nie runtime, moglibyśmy skorzystać z klas zawartych w bibliotece...
//            org.postgresql.jdbc.PgConnection pgConnection = (org.postgresql.jdbc.PgConnection)c;
//            int pid = pgConnection.getBackendPID();
//            System.out.println(pid);

            try(PreparedStatement stmt = c.prepareStatement("SELECT * FROM employees ORDER BY employee_id");
                ResultSet rs = stmt.executeQuery()) {
                System.out.println("ResultSet: " + rs);
                while(rs.next()) {
                    System.out.printf("Pracownik nr %d: %s %s (%s), pensja %s%n",
                            rs.getInt(1),
                            rs.getString("first_name"),
                            rs.getString("last_name"),
                            rs.getString("job_id"),
                            rs.getBigDecimal("salary")
                    );
                }
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
}
