package pan_tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.HashSet;
import java.util.Scanner;
import java.util.Set;

public class WypiszHashSet {
	
	static Set<String> wczytajSlowa(String sciezka) {
		Set<String> slowa = new HashSet<>();
		try (Scanner scanner = new Scanner(new File("pan_tadeusz.txt"))) {
			scanner.useDelimiter("[^\\p{L}\\d]+");
			while(scanner.hasNext()) {
				slowa.add(scanner.next());
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		return slowa;
	}

	public static void main(String[] args) {
		Set<String> slowa = wczytajSlowa("pan_tadeusz.txt");
		
		for (String slowo : slowa) {
			System.out.println(slowo);
		}
		System.out.println("Unikalnych słów " + slowa.size());
	}

}
