package pan_tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class PoliczKazdeSlowo1 {

	public static void main(String[] args) {
		try (Scanner scanner = new Scanner(new File("pan_tadeusz.txt"))) {
			scanner.useDelimiter("[^\\p{L}\\d]+");
			
			Map<String, Integer> mapa = new HashMap<>();
			while(scanner.hasNext()) {
				String slowo = scanner.next();
				if(mapa.containsKey(slowo)) {
					int ileBylo = mapa.get(slowo);
					mapa.put(slowo, ileBylo+1);
				} else {
					mapa.put(slowo, 1);
				}
			}
			
			System.out.println("Unikalnych słów: " + mapa.size());

			for (Map.Entry<String, Integer> entry : mapa.entrySet()) {
				System.out.printf("%-15s → %4d razy\n", entry.getKey(), entry.getValue());
				
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}

	}

}
