package pan_tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class PoliczWszystkieSlowa1 {

	public static void main(String[] args) {
		try (Scanner scanner = new Scanner(new File("pan_tadeusz.txt"))) {
			// scanner.useDelimiter(" ");
			// scanner.useDelimiter("\\s+"); // to jest domyślny delimiter w Scannerze - ciąg białych znaków
			// scanner.useDelimiter("[\\s,.:;?!()—+…«»]+"); // możemy wymienić wszystkie znaki, które mają być uznane za separatory 
			scanner.useDelimiter("[^\\p{L}\\d]+"); // ciąg znaków, które nie są literami ani cyframi traktujemy jak separator
			
			int ilosc = 0;
			while(scanner.hasNext()) {
				String slowo = scanner.next();
				System.out.println("[" + slowo + "]");
				ilosc++;
			}
			
			System.out.println("Ilość słów: " + ilosc);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}

	}

}
